Debian Bug report logs - #559132
ITP: prboom-plus

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Dave Witbrodt <dawitbro@sbcglobal.net>

Date: Wed, 2 Dec 2009 04:39:01 UTC

Owned by: Fabian Greffrath <fabian@greffrath.com>

Severity: wishlist

Merged with 690905

Fixed in version prboom-plus/2:2.5.1.4~svn4306+dfsg1-1

Done: Fabian Greffrath <fabian+debian@greffrath.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, dawitbro@sbcglobal.net, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#559132; Package prboom. (Wed, 02 Dec 2009 04:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dave Witbrodt <dawitbro@sbcglobal.net>:
New Bug report received and forwarded. Copy sent to dawitbro@sbcglobal.net, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Wed, 02 Dec 2009 04:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dave Witbrodt <dawitbro@sbcglobal.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Should prboom be replaced by prboom-plus?
Date: Tue, 01 Dec 2009 23:33:24 -0500
Package: prboom
Version: 2:2.5.0+dfsg1-5
Severity: wishlist


I've been using using 'prboom' for years to kill stress.  I was
disappointed when I moved from a 4:3 monitor to a widescreen monitor
that prboom did not take advantage of the 16:10 screen ratio to display
more of the virtual world inside the game.  Instead, it merely stretched
the old field of view to fit the new resolution.

At that time (maybe a couple of years ago) I looked around for a smarter
replacement for prboom, but gave up pretty quickly and left prboom
installed.  I remember discovering 'prboom+', and saw some claims in its
changelog that it did more with widescreen monitors than ordinary
'prboom' did.  I assumed (wrongly) that 'prboom+' would be picked up by
Debian.

Lately, I've been experimenting with getting open source 2D/3D
acceleration for my new Radeon card.  I had some problems with OpenGL,
but those have been fixed (for the 'radeon' driver, though not the
'radeonhd' driver.  I was using 'prboom' as one of my test apps for
OpenGL... and I remembered about wanting to try 'prboom+' a long time
ago.

I finally looked around to check the status of things.  I downloaded the
Debian source packages for 'prboom', then located the 'prboom-plus'
sources here:

http://sourceforge.net/projects/prboom-plus/files/

It looks like 'debian/watch' is out of date in 'prboom', but I was able
to find 'prboom' sources here:

http://sourceforge.net/projects/prboom/files/

I'm planning to borrow the 'debian' directory from the current 'prboom'
and fix it up to build DEBs of 'prboom-plus' this weekend.  The sources
are very similar, but if you look at the dates on those website I listed
you will see that 'prboom' is getting stale (a year old now) while
'prboom-plus' had a 2.5.0.5 release on 2009-11-14.

As my subject line suggested above, it looks to me like 'prboom-plus' is
a better candidate for packaging at this point, if judged by recent
activity upstream.  (I cannot judge by quality, however, since I have
not built and tested 'prboom-plus' yet myself.)

Please accept this wishlist bug as a request for comments, and not as a
complaint or a demand that 'prboom-plus' be packaged.  I just wanted to
send an FYI, and get some feedback from the maintainers.


Thanks,
Dave W.


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (350, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-rc8-0git091120.desktop.uvesafb (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages prboom depends on:
ii  libc6           2.10.2-2                 GNU C Library: Shared libraries
ii  libgl1-mesa-glx 7.7-0+git37676b39-091115 A free implementation of the OpenG
ii  libglu1-mesa [l 7.7-0+git37676b39-091115 The OpenGL utility library (GLU)
ii  libsdl-mixer1.2 1.2.8-6+b1               mixer library for Simple DirectMed
ii  libsdl-net1.2   1.2.7-2                  network library for Simple DirectM
ii  libsdl1.2debian 1.2.13-5                 Simple DirectMedia Layer

Versions of packages prboom recommends:
ii  doom-wad-shareware [doom-wad] 1.9-1.1    Shareware game files for the 3D ga
ii  freedoom [boom-wad]           0.6.4-4    free game files for the 3D game DO
ii  timidity                      2.13.2-36  Software sound renderer (MIDI sequ

Versions of packages prboom suggests:
pn  game-data-packager            <none>     (no description available)

-- no debconf information




Message sent on to Dave Witbrodt <dawitbro@sbcglobal.net>:
Bug#559132. (Thu, 04 Feb 2010 14:12:06 GMT) Full text and rfc822 format available.

Message #8 received at 559132-submitter@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: 559132-submitter@bugs.debian.org
Subject: prboom-plus and prboom
Date: Thu, 4 Feb 2010 13:58:41 +0000
[Message part 1 (text/plain, inline)]
Hello,

I think you're right, prboom-plus should probably be
packaged. I haven't done it yet because I haven't really
used the engine myself, but I did promise Andrey (the
maintainer) I would work on a package at some point.

I'm not sure including prboom-plus should necessarily mean
we drop prboom, though. It might turn out that prboom is
abandoned in favour of prboom-plus (they are very similar,
in fact I think prboom+ is a branch in prboom's SVN)

If you are interested in helping to package and maintain
prboom-plus, why not join the Debian Games Team?
<http://wiki.debian.org/Games/Development>

prboom lives in git at
<http://git.debian.org/?p=pkg-games/prboom.git>
(git.debian.org/pkg-games/prboom.git), I will clone this to 
git.debian.org/pkg-games/prboom-plus.git as a starting
point.


-- 
Jon Dowland
[signature.asc (application/pgp-signature, inline)]

Information stored :
Bug#559132; Package prboom. (Fri, 05 Feb 2010 03:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dave Witbrodt <dawitbro@sbcglobal.net>:
Extra info received and filed, but not forwarded. (Fri, 05 Feb 2010 03:36:03 GMT) Full text and rfc822 format available.

Message #13 received at 559132-quiet@bugs.debian.org (full text, mbox):

From: Dave Witbrodt <dawitbro@sbcglobal.net>
To: Jon Dowland <jmtd@debian.org>, 559132-quiet@bugs.debian.org
Subject: Re: Bug#559132: prboom-plus and prboom
Date: Thu, 04 Feb 2010 22:32:59 -0500
> I think you're right, prboom-plus should probably be
> packaged. I haven't done it yet because I haven't really
> used the engine myself, but I did promise Andrey (the
> maintainer) I would work on a package at some point.

My purpose with the OP was to see if the Games Team knew about it. 
Since it is already on your to-do list, you might want to close this 
wishlist bug.  (Unless leaving it open would act as a reminder to get 
around to it at some point.)

I was going to attempt to build prboom+ on the first weekend of 
December, but wanted to wait to see if this wishlist bug drew a 
response.  I decided to work on kernel mode setting while waiting, and 
completely forgot about prboom+ !  (Got KMS working, though!  :-)


> If you are interested in helping to package and maintain
> prboom-plus, why not join the Debian Games Team?
> <http://wiki.debian.org/Games/Development>

I'm trying to increase my skill level so I can contribute seriously to 
Debian.  I am not a DD or DM, so I am not able to join any Debian team 
for now.  I know C and C++ (I actually tutor C++ at a community 
college), but my shell scripting is weak, and my Perl and Python 
knowledge is non-existent.  I am a user only; in my spare time over the 
past 5 years I have been improving myself, with the goal of applying for 
the New Maintainer process.  I have learned to:

- compile my own kernels
- upgrade ALSA within the kernel sources
- create DEBs from upstream source code by recycling the /debian
  directory from current Debianized sources (klibc, v86d, mesa,
  libdrm, xf86-video-ati, xf86-input-evdev, xf86-video-radeonhd)

I also try hard to troubleshoot my own problems, taking voluminous notes 
for a future website I plan to author.  I occasionally field questions 
on debian-user, and have been trying to learn to use the BTS in useful 
and effective ways.

But its a slow learning process doing this in my spare time.  Before 
applying for New Maintainer status, I want to spend a year or two 
getting good at bug triage.  I hope for these efforts to include 
squashing bugs from high-level apps to low-level system areas, including 
the kernel.

I mean no offense, but I do not consider games to be a high priority 
area.  There seems to be a lack of available developer/maintainer 
worker-hours across the entire Debian project, and there are other teams 
I would probably choose to join before the Games Team.  (The X Strike 
Force comes to mind, for example.)  But my lack of skills would probably 
be more of a hindrance than help at this point -- forcing other DDs/DMs 
to spend time checking my work and correcting my mistakes, instead of 
getting useful work done.

In time, I will learn a few more programming languages, become competent 
debugging code (and using the various debugging tools available), learn 
how to package more complicated projects (including from scratch, 
without hijacking prexisting Debianized code), and learn more about the 
policies and practices of the Debian project.  In the process, I will 
begin swooping down on bugs in the BTS at a rapid rate, making my 
presence felt before applying to be a New Maintainer.  After that, then 
we can revisit the question of whether I should join the Debian Games 
Team.  ;)


> prboom lives in git at
> <http://git.debian.org/?p=pkg-games/prboom.git>
> (git.debian.org/pkg-games/prboom.git), I will clone this to 
> git.debian.org/pkg-games/prboom-plus.git as a starting
> point.

Does that include unpacking the upstream 'prboom+' sources in the cloned 
git repo?  What about further work, like attempting a first build, and 
some cursory attempts to tweak 'debian/rules' (etc.) if the attempt fails?

Also, is that repo public, so noobs like me can at least get read-only 
access?


Thanks,
Dave W.


PS:  thanks for your blog about iPhone DOOM today:

    http://jmtd.net/log/iphone_doom/

I don't have an iPhone, but the article by Carmack you linked was very 
interesting.  I remember playing an alpha version of DOOM before it was 
released, with incomplete levels where you could wander off into the 
blackness and look back at the unfinished game map.  Can't believe it's 
been almost two decades....




Bug reassigned from package 'prboom' to 'wnpp'. Request was from Jon Dowland <jmtd@debian.org> to control@bugs.debian.org. (Wed, 08 Sep 2010 21:09:05 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions prboom/2:2.5.0+dfsg1-5. Request was from Jon Dowland <jmtd@debian.org> to control@bugs.debian.org. (Wed, 08 Sep 2010 21:09:06 GMT) Full text and rfc822 format available.

Changed Bug title to 'RFP: prboom-plus -- doom-engine extended from prboom' from 'Should prboom be replaced by prboom-plus?' Request was from Jon Dowland <jmtd@debian.org> to control@bugs.debian.org. (Wed, 08 Sep 2010 21:09:06 GMT) Full text and rfc822 format available.

Information stored :
Bug#559132; Package wnpp. (Wed, 08 Sep 2010 21:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jon Dowland <jmtd@debian.org>:
Extra info received and filed, but not forwarded. (Wed, 08 Sep 2010 21:45:07 GMT) Full text and rfc822 format available.

Message #24 received at 559132-quiet@bugs.debian.org (full text, mbox):

From: Jon Dowland <jmtd@debian.org>
To: Dave Witbrodt <dawitbro@sbcglobal.net>, 559132-quiet@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#559132: prboom-plus and prboom
Date: Wed, 8 Sep 2010 22:07:25 +0100
[Message part 1 (text/plain, inline)]
reassign 559132 wnpp
retitle 559132 RFP: prboom-plus -- doom-engine extended from prboom
thanks

Hello Dave,

I'm sorry for taking so long to reply to your last message.

On Thu, Feb 04, 2010 at 10:32:59PM -0500, Dave Witbrodt wrote:
> My purpose with the OP was to see if the Games Team knew about it.
> Since it is already on your to-do list, you might want to close this
> wishlist bug.  (Unless leaving it open would act as a reminder to
> get around to it at some point.)
 
I am re-assigning it to the pseudo-package "wnpp" (work
needed packages package") and retitling it to indicate that
it is an RFP ("request for package") -- this is the normal
procedure.

> But its a slow learning process doing this in my spare time.  Before
> applying for New Maintainer status, I want to spend a year or two
> getting good at bug triage.  I hope for these efforts to include
> squashing bugs from high-level apps to low-level system areas,
> including the kernel.

That is a noble goal.

> I mean no offense, but I do not consider games to be a high priority
> area.

None taken - I don't either :-)

> ...But my lack of skills
> would probably be more of a hindrance than help at this point --
> forcing other DDs/DMs to spend time checking my work and correcting
> my mistakes, instead of getting useful work done.

Some developers are prepared to spend time with mentoring -
see the debian-mentors mailing list for examples of this
taking place.


-- 
Jon Dowland
[signature.asc (application/pgp-signature, inline)]

Merged 559132 690905 Request was from Jon Dowland <jmtd@debian.org> to control@bugs.debian.org. (Fri, 19 Oct 2012 08:45:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#559132; Package wnpp. (Tue, 19 Feb 2013 12:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabian Greffrath <fabian@greffrath.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 19 Feb 2013 12:33:03 GMT) Full text and rfc822 format available.

Message #31 received at 559132@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian@greffrath.com>
To: 559132@bugs.debian.org
Cc: 690905@bugs.debian.org, control <control@bugs.debian.org>
Subject: Re: Bug#690905: freedoom: Prboom Plus should be used instead of Prboom
Date: Tue, 19 Feb 2013 13:30:47 +0100
retitle 690905 ITP: prboom-plus
thanks

The prboom-plus package is mostly ready. I am merely waiting for 
upstream to release a new version and then I need to clean up 
debian/copyright a bit.

 - Fabian




Changed Bug title to 'ITP: prboom-plus' from 'RFP: prboom-plus -- doom-engine extended from prboom' Request was from Fabian Greffrath <fabian@greffrath.com> to control@bugs.debian.org. (Tue, 19 Feb 2013 12:33:10 GMT) Full text and rfc822 format available.

Owner recorded as Fabian Greffrath <fabian@greffrath.com>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Wed, 20 Feb 2013 00:12:05 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 26 Jun 2013 20:06:05 GMT) Full text and rfc822 format available.

Reply sent to Fabian Greffrath <fabian+debian@greffrath.com>:
You have taken responsibility. (Thu, 08 Aug 2013 23:03:16 GMT) Full text and rfc822 format available.

Notification sent to Dave Witbrodt <dawitbro@sbcglobal.net>:
Bug acknowledged by developer. (Thu, 08 Aug 2013 23:03:16 GMT) Full text and rfc822 format available.

Message #42 received at 559132-close@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian+debian@greffrath.com>
To: 559132-close@bugs.debian.org
Subject: Bug#559132: fixed in prboom-plus 2:2.5.1.4~svn4306+dfsg1-1
Date: Thu, 08 Aug 2013 23:00:07 +0000
Source: prboom-plus
Source-Version: 2:2.5.1.4~svn4306+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
prboom-plus, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 559132@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabian Greffrath <fabian+debian@greffrath.com> (supplier of updated prboom-plus package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 19 Jun 2013 10:01:34 +0200
Source: prboom-plus
Binary: prboom prboom-plus prboom-plus-game-server
Architecture: source all amd64
Version: 2:2.5.1.4~svn4306+dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Fabian Greffrath <fabian+debian@greffrath.com>
Description: 
 prboom     - dummy package for the transition from prboom to prboom-plus
 prboom-plus - enhanced clone of the classic first-person shooter Doom
 prboom-plus-game-server - enhanced clone of the classic first-person shooter Doom (server)
Closes: 528057 559132 606231 612429 690905
Changes: 
 prboom-plus (2:2.5.1.4~svn4306+dfsg1-1) unstable; urgency=low
 .
   * Upstream SVN snapshot of the prboom-plus codebase
     + Support up to eight joystick buttons instead of just four,
       the fifth and sixth buttons are mapped to strafe left and right
       (Closes: #606231, #612429).
 .
   [ Jon Dowland ]
   * Initial packaging, based on prboom (Closes: #559132, #690905).
   * add a format specifier to a sprintf call
 .
   [ Fabian Greffrath ]
   * Add myself to Uploaders.
   * The "--disable-i386-asm" configure flag is gone.
   * Append to LDFLAGS instead of overriding them.
   * Simplify the override_dh_auto_configure rule.
   * Add libdumb1-dev, libfluidsynth-dev, libportmidi-dev
     and libsdl-image1.2-dev to Build-Depends.
   * Add a symlink for the man page as well.
   * Remove obsolete debian/prboom+.files file.
   * Remove debian/prboom+.manpages, prboom-plus.6 is already
     installed by the build system.
   * Fix up binary and package names in debian/prboom+.{menu,prerm,postinst}.
   * Avoid redundant installation of docs.
   * Mention PrBoom+ in the extended package description.
   * Move "boom-wad | game-data-packager | doom-wad" to Depends, since we
     must have an IWAD in order to start the game.
   * Change default MIDI player to the OPL2 emulator, so "freepats" can get
     demoted to Suggests.
   * Add debian/README.source.
   * Provide a dummy package for the transition from prboom to prboom-plus.
   * Split prboom-plus-game-server into a separate package, prboom-plus
     links against way more libraries (Closes: #528057).
   * Simplify maintainer scripts.
   * Suggest mkvtoolnix, vorbis-tools and x264 for video capturing and
     change default Ogg Vorbis encoder name to oggenc.
   * Shorten and (hopefully) clarify package descriptions.
Checksums-Sha1: 
 18eb9412738f5e78e41384059240902b94709390 2395 prboom-plus_2.5.1.4~svn4306+dfsg1-1.dsc
 c0ecdf439bfacd96abd8effa1cb514338f942979 1022588 prboom-plus_2.5.1.4~svn4306+dfsg1.orig.tar.xz
 0364d1c24fbf642e17c1f9e9adde3b1c7e219ff2 7612 prboom-plus_2.5.1.4~svn4306+dfsg1-1.debian.tar.gz
 604fd25265c96c48309798e358226d7e9cb22bda 17168 prboom_2.5.1.4~svn4306+dfsg1-1_all.deb
 56f2b3c2507175a2d4f9ee2405a1585b8a478d28 671112 prboom-plus_2.5.1.4~svn4306+dfsg1-1_amd64.deb
 a5eda98bfc8c977048bae49209cd47b7325d1d41 27248 prboom-plus-game-server_2.5.1.4~svn4306+dfsg1-1_amd64.deb
Checksums-Sha256: 
 c3d94e18eabc9d7d81eb4a677291e805750e36198d7fda69e1bfd82b1ee7e373 2395 prboom-plus_2.5.1.4~svn4306+dfsg1-1.dsc
 aec7692088e7e310790f259cb2e9e9cd3235cdd0ed8807da43122e508ee586e7 1022588 prboom-plus_2.5.1.4~svn4306+dfsg1.orig.tar.xz
 eaa482441098d59c2134419552e3ebf683bc486d66b7b7ae26616f6ec74a19e9 7612 prboom-plus_2.5.1.4~svn4306+dfsg1-1.debian.tar.gz
 55a05a1bc09eeaa3a6199f9ab53ac1fd31a0df2a21ee91601c4c21432d9ee609 17168 prboom_2.5.1.4~svn4306+dfsg1-1_all.deb
 01ca873187faa904bad34b204b179e3b16971392bce0366869e5e56cc47ffcd8 671112 prboom-plus_2.5.1.4~svn4306+dfsg1-1_amd64.deb
 e5b814621be452891332c28824a6312df4063c2fc90ac99d83eee8dd299ce14f 27248 prboom-plus-game-server_2.5.1.4~svn4306+dfsg1-1_amd64.deb
Files: 
 829940ba4fbe987598b08b84afc42dc9 2395 games optional prboom-plus_2.5.1.4~svn4306+dfsg1-1.dsc
 80c527c6a3ac4a383c5834c66a8d4ef0 1022588 games optional prboom-plus_2.5.1.4~svn4306+dfsg1.orig.tar.xz
 7056b9024bc5ab630ad5b7d3acabb747 7612 games optional prboom-plus_2.5.1.4~svn4306+dfsg1-1.debian.tar.gz
 37d66901fbcca0cfc6e4e513ab40dfd5 17168 oldlibs extra prboom_2.5.1.4~svn4306+dfsg1-1_all.deb
 8b82f98ee503225fc3ff31a26c0f023d 671112 games optional prboom-plus_2.5.1.4~svn4306+dfsg1-1_amd64.deb
 7a50c59a8b486a8be717bfaf99e16649 27248 games optional prboom-plus-game-server_2.5.1.4~svn4306+dfsg1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRwhrkAAoJEAkHQJYGqqqqNX0P/2v8/p0y2t3aocu3AJYoVjBh
3DEk7YX5eD3At07mYJvh1RRSyw9nMp+GI8Lm78x3q4Sl7mPXU1VlkEZSB3ZREfDZ
KuL5a4nb4qTIT2adFEia3R7aancTYwEXPCwUeBUgRQqUrtlU39gBpU8/YU5Ejqyr
Y+mw9Dp34wkcHE6tUReHdOZ/cJ0AVc0f999asjswzAhyA36gihoW/zztATnHR6iP
XWOof9p6vTEexdesXOrrmZrFJSBxq3vRed95p283C7HEBuBzpxLmzA3Uiv5qvWir
xJ2YUx96EVl/GVuue+nsXBUflUpVZoNfJBtmF5LSSdlUkYrdYQZH3hETnsQwt/mC
roeRzQX/p998xOrJmTLOvKwIsHjwfRZLSdO9KIvpowqrZhbeEHuz1Okf9g3OsI2c
Ixa2jamjyztyFTMzkiC9AhsuDg7dwe8QVSuwhoz/GX6n4B1N6IwdD768KH08JE52
8RjZw2R7My1xmUq8D95nx0XEmg4xYs2vXhVxtgQiFach4F48vjaCHfpwGHDwMckH
H5665U0xiafYTm9/+tieSfZg8I0FjejGFIlubFEEdKj/0gKWAccR99gBKYHZELT5
YOYSSg6jfj72cR6J5nfVkcG1Or+CLSYwD3JsCUf+lFnL8ZYUbYNubE+Y5zbNbQQh
CsXGuwhoUdobATigIu02
=CRtQ
-----END PGP SIGNATURE-----




Reply sent to Fabian Greffrath <fabian+debian@greffrath.com>:
You have taken responsibility. (Thu, 08 Aug 2013 23:03:17 GMT) Full text and rfc822 format available.

Notification sent to Keith Henderson Jr <keithhendersonjr@gmail.com>:
Bug acknowledged by developer. (Thu, 08 Aug 2013 23:03:17 GMT) Full text and rfc822 format available.

Message #47 received at 690905-close@bugs.debian.org (full text, mbox):

From: Fabian Greffrath <fabian+debian@greffrath.com>
To: 690905-close@bugs.debian.org
Subject: Bug#690905: fixed in prboom-plus 2:2.5.1.4~svn4306+dfsg1-1
Date: Thu, 08 Aug 2013 23:00:07 +0000
Source: prboom-plus
Source-Version: 2:2.5.1.4~svn4306+dfsg1-1

We believe that the bug you reported is fixed in the latest version of
prboom-plus, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690905@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fabian Greffrath <fabian+debian@greffrath.com> (supplier of updated prboom-plus package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 19 Jun 2013 10:01:34 +0200
Source: prboom-plus
Binary: prboom prboom-plus prboom-plus-game-server
Architecture: source all amd64
Version: 2:2.5.1.4~svn4306+dfsg1-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Fabian Greffrath <fabian+debian@greffrath.com>
Description: 
 prboom     - dummy package for the transition from prboom to prboom-plus
 prboom-plus - enhanced clone of the classic first-person shooter Doom
 prboom-plus-game-server - enhanced clone of the classic first-person shooter Doom (server)
Closes: 528057 559132 606231 612429 690905
Changes: 
 prboom-plus (2:2.5.1.4~svn4306+dfsg1-1) unstable; urgency=low
 .
   * Upstream SVN snapshot of the prboom-plus codebase
     + Support up to eight joystick buttons instead of just four,
       the fifth and sixth buttons are mapped to strafe left and right
       (Closes: #606231, #612429).
 .
   [ Jon Dowland ]
   * Initial packaging, based on prboom (Closes: #559132, #690905).
   * add a format specifier to a sprintf call
 .
   [ Fabian Greffrath ]
   * Add myself to Uploaders.
   * The "--disable-i386-asm" configure flag is gone.
   * Append to LDFLAGS instead of overriding them.
   * Simplify the override_dh_auto_configure rule.
   * Add libdumb1-dev, libfluidsynth-dev, libportmidi-dev
     and libsdl-image1.2-dev to Build-Depends.
   * Add a symlink for the man page as well.
   * Remove obsolete debian/prboom+.files file.
   * Remove debian/prboom+.manpages, prboom-plus.6 is already
     installed by the build system.
   * Fix up binary and package names in debian/prboom+.{menu,prerm,postinst}.
   * Avoid redundant installation of docs.
   * Mention PrBoom+ in the extended package description.
   * Move "boom-wad | game-data-packager | doom-wad" to Depends, since we
     must have an IWAD in order to start the game.
   * Change default MIDI player to the OPL2 emulator, so "freepats" can get
     demoted to Suggests.
   * Add debian/README.source.
   * Provide a dummy package for the transition from prboom to prboom-plus.
   * Split prboom-plus-game-server into a separate package, prboom-plus
     links against way more libraries (Closes: #528057).
   * Simplify maintainer scripts.
   * Suggest mkvtoolnix, vorbis-tools and x264 for video capturing and
     change default Ogg Vorbis encoder name to oggenc.
   * Shorten and (hopefully) clarify package descriptions.
Checksums-Sha1: 
 18eb9412738f5e78e41384059240902b94709390 2395 prboom-plus_2.5.1.4~svn4306+dfsg1-1.dsc
 c0ecdf439bfacd96abd8effa1cb514338f942979 1022588 prboom-plus_2.5.1.4~svn4306+dfsg1.orig.tar.xz
 0364d1c24fbf642e17c1f9e9adde3b1c7e219ff2 7612 prboom-plus_2.5.1.4~svn4306+dfsg1-1.debian.tar.gz
 604fd25265c96c48309798e358226d7e9cb22bda 17168 prboom_2.5.1.4~svn4306+dfsg1-1_all.deb
 56f2b3c2507175a2d4f9ee2405a1585b8a478d28 671112 prboom-plus_2.5.1.4~svn4306+dfsg1-1_amd64.deb
 a5eda98bfc8c977048bae49209cd47b7325d1d41 27248 prboom-plus-game-server_2.5.1.4~svn4306+dfsg1-1_amd64.deb
Checksums-Sha256: 
 c3d94e18eabc9d7d81eb4a677291e805750e36198d7fda69e1bfd82b1ee7e373 2395 prboom-plus_2.5.1.4~svn4306+dfsg1-1.dsc
 aec7692088e7e310790f259cb2e9e9cd3235cdd0ed8807da43122e508ee586e7 1022588 prboom-plus_2.5.1.4~svn4306+dfsg1.orig.tar.xz
 eaa482441098d59c2134419552e3ebf683bc486d66b7b7ae26616f6ec74a19e9 7612 prboom-plus_2.5.1.4~svn4306+dfsg1-1.debian.tar.gz
 55a05a1bc09eeaa3a6199f9ab53ac1fd31a0df2a21ee91601c4c21432d9ee609 17168 prboom_2.5.1.4~svn4306+dfsg1-1_all.deb
 01ca873187faa904bad34b204b179e3b16971392bce0366869e5e56cc47ffcd8 671112 prboom-plus_2.5.1.4~svn4306+dfsg1-1_amd64.deb
 e5b814621be452891332c28824a6312df4063c2fc90ac99d83eee8dd299ce14f 27248 prboom-plus-game-server_2.5.1.4~svn4306+dfsg1-1_amd64.deb
Files: 
 829940ba4fbe987598b08b84afc42dc9 2395 games optional prboom-plus_2.5.1.4~svn4306+dfsg1-1.dsc
 80c527c6a3ac4a383c5834c66a8d4ef0 1022588 games optional prboom-plus_2.5.1.4~svn4306+dfsg1.orig.tar.xz
 7056b9024bc5ab630ad5b7d3acabb747 7612 games optional prboom-plus_2.5.1.4~svn4306+dfsg1-1.debian.tar.gz
 37d66901fbcca0cfc6e4e513ab40dfd5 17168 oldlibs extra prboom_2.5.1.4~svn4306+dfsg1-1_all.deb
 8b82f98ee503225fc3ff31a26c0f023d 671112 games optional prboom-plus_2.5.1.4~svn4306+dfsg1-1_amd64.deb
 7a50c59a8b486a8be717bfaf99e16649 27248 games optional prboom-plus-game-server_2.5.1.4~svn4306+dfsg1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRwhrkAAoJEAkHQJYGqqqqNX0P/2v8/p0y2t3aocu3AJYoVjBh
3DEk7YX5eD3At07mYJvh1RRSyw9nMp+GI8Lm78x3q4Sl7mPXU1VlkEZSB3ZREfDZ
KuL5a4nb4qTIT2adFEia3R7aancTYwEXPCwUeBUgRQqUrtlU39gBpU8/YU5Ejqyr
Y+mw9Dp34wkcHE6tUReHdOZ/cJ0AVc0f999asjswzAhyA36gihoW/zztATnHR6iP
XWOof9p6vTEexdesXOrrmZrFJSBxq3vRed95p283C7HEBuBzpxLmzA3Uiv5qvWir
xJ2YUx96EVl/GVuue+nsXBUflUpVZoNfJBtmF5LSSdlUkYrdYQZH3hETnsQwt/mC
roeRzQX/p998xOrJmTLOvKwIsHjwfRZLSdO9KIvpowqrZhbeEHuz1Okf9g3OsI2c
Ixa2jamjyztyFTMzkiC9AhsuDg7dwe8QVSuwhoz/GX6n4B1N6IwdD768KH08JE52
8RjZw2R7My1xmUq8D95nx0XEmg4xYs2vXhVxtgQiFach4F48vjaCHfpwGHDwMckH
H5665U0xiafYTm9/+tieSfZg8I0FjejGFIlubFEEdKj/0gKWAccR99gBKYHZELT5
YOYSSg6jfj72cR6J5nfVkcG1Or+CLSYwD3JsCUf+lFnL8ZYUbYNubE+Y5zbNbQQh
CsXGuwhoUdobATigIu02
=CRtQ
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Sep 2013 07:25:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 06:02:11 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.